# -*- coding: utf-8 -*-
import pymel.core as pm
import mtoa.utils as utils
import mtoa.ui.ae.utils as aeUtils
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate


class AEaiFlatTemplate(ShaderAETemplate):

    def setup(self):
        self.addSwatch()
       
        self.beginScrollLayout()
        
        self.addCustom('message', 'AEshaderTypeNew', 'AEshaderTypeReplace')

        self.beginLayout('哑光/常规', collapse=False)
        self.addControl('color', label='颜色')
        self.endLayout()

        self.beginLayout('Matte', collapse=True)
        self.addControl('aiEnableMatte', label='启用哑光')
        self.addControl('aiMatteColor', label='哑光颜色')
        self.addControl('aiMatteColorA', label='哑光不透明度')
        self.endLayout()
        
        # include/call base class/node attributes
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        
        self.endScrollLayout()
